<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#
if (!defined("BASEDIR")) { header("Location:../index.php"); exit; }

$msg2=rus_utf_tolower($msg);	
$msg2=str_replace('настя', 'настюха', $msg2);
$msg2=str_replace('настенька', 'настюха', $msg2);
$msg2=str_replace('настюша', 'настюха', $msg2);
$msg2=str_replace('настюшка', 'настюха', $msg2);

$log=check($log);
$namebots='Настюха';
$namebot=rus_utf_tolower($namebots);

if ((stristr($msg2, $namebot)) and (stristr($msg2, 'работа'))  or (stristr($msg2, $namebot)) and (stristr($msg2, 'делаешь')) or  (stristr($msg2, $namebot)) and  (stristr($msg2, 'занимаеш')) ) { 
$answers = array('Ем!', 'Музыку слушаю...', 'Телевизор смотрю...', 'Да так... ничем, а ты?', 'Туплю понемногу'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
} 

if($mssg==""){
if ((stristr($msg2, 'всем привет')) or (stristr($msg2, 'здравствуйте')) or (stristr($msg2, 'всем хай')) or (stristr($msg2, 'всем здарова'))  or (stristr($msg2, 'хочу общения'))  or (stristr($msg2, 'класс'))) {
$answers = array('как дела?', 'как жизнь?', 'хай!', 'давай пообщаемся'); 
$answernumber = array_rand($answers); 
$mssg = $newname.', '.$answers[$answernumber]; 
}}

if($mssg==""){
if (((stristr($msg2, $namebot)) and (stristr($msg2, 'привет'))) or (stristr($msg2, $namebot)) and (stristr($msg2, 'приветик')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'с возвращением')) or (stristr($msg2, 'всем привет')) or (stristr($msg2, 'привет всем'))) { 
$answers = array('Здравствуй!', 'Приветик  ', 'Ооо привет =)!', 'Угумс  Тебе тоже.', 'Дарова =)'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'как')) and (stristr($msg2, 'дела')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'как')) and (stristr($msg2, 'оно')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'как')) and (stristr($msg2, 'настроение')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'как')) and (stristr($msg2, 'дели'))){ 
$answers = array('Хорошо!', 'Плохо', 'Спасибо, но бывало лучше', 'Отлично! У тебя как?', 'Терпимо');
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'скучно'))){ 
$answers = array('а ты попрыгай', 'Мне тоже...'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'работа'))  or (stristr($msg2, $namebot)) and (stristr($msg2, 'делаешь')) or  (stristr($msg2, $namebot)) and  (stristr($msg2, 'занимаеш')) ) { 
$answers = array('Ем!', 'Музыку слушаю...', 'Телевизор смотрю...', 'Да так... ничем, а ты?', 'Туплю понемногу'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'откуда')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'живешь'))) { 
$answers = array('Я с Оренбурга', 'От верблюда', 'Откуда, откуда, что так интерестно', 'Не скажу', 'Оттуда где встает солнце'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 		
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'интерес')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'любопыт'))) { 
$answers = array('Меньше знаешь - лучше спишь', 'Спроси у Киндера он много знает', 'Любопытной варваре на базаре нос оторвали', 'Интерестно когда в бане тесно'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 		
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'ум'))) { 
$mssg = 'Да я очень умная!';	
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'как')) and (stristr($msg2, 'зовут'))) { 
$answers = array('Написано же, Настюха!', 'Секрет...', 'Лена  ', 'Ангелина', 'Меня не зовут, я сама прихожу... и всегда вовремя..'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'сколько')) and (stristr($msg2, 'лет'))) { 
$answers = array('А сколько надо?', 'Пусть это останется моим небольшим секретом', '18, а тебе?', 'Сначала ты  ', 'Неприличный вопрос для девушки...'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'пока')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'бывай')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'удачи'))) { 
$answers = array('Эээх уже уходишь? Ну ладно... заползай ежели что!', 'Пока пока...', 'Давай... удачи тебе!', 'Ээх и на кого ты меня бросаешь.. ', 'Давай уже!'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, 'всем')) and (stristr($msg2, 'пока')) or (stristr($msg2, 'всем')) and (stristr($msg2, 'счастл')) or (stristr($msg2, 'всем')) and (stristr($msg2, 'удачи'))) { 
$answers = array('Эээх уже уходишь? Ну ладно... заползай ежели что!', 'Пока пока...', 'Давай... удачи тебе!', 'Ээх и на кого ты меня бросаешь.. ', 'Давай уже!'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'спасибо'))) { 
$answers = array('Да не за что...', 'Спасибо в карман не положишь...', 'Пожалуйста!', 'Рада помочь.', 'Всегда рада помочь..'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber];  
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'знаком'))) { 
$answers = array('Надо подумать...', 'Давай, меня зовут Настюха, а тебя?', 'Нехочу =)'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber];  
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'хоче'))) { 
$answers = array('Хочу!', 'Да!', 'Неа!', 'Нет, спасибо...', 'Не знаю...'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber];  
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'будешь'))) { 
$answers = array('С удовольствием...', 'Да!', 'Неа!', 'Нет, спасибо...', 'Не знаю...'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'дура')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'тупая'))) { 
$answers = array('Не хами!', 'Сам такой', 'ты в игноре'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'почему')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'из-за чего'))) { 
$answers = array('Лучше не спрашивай!', 'так получилось...', 'не хочу об этом говорить... =('); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, 'www.')) or (stristr($msg2, '.ru')) or (stristr($msg2, '.net')) or (stristr($msg2, 'wap.')) or (stristr($msg2, '.com')) or (stristr($msg2, 'chat')) or (stristr($msg2, '.spb')) or (stristr($msg2, 'http://')) or (stristr($msg2, '.msk'))) { 
$answers = array($log.', за рекламу получишь бан', $log.',  кто-то щас пострадает', $log.', для этого есть раздел афиша'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, 'хуй')) or (stristr($msg2, 'сук')) or (stristr($msg2, 'сучк')) or (stristr($msg2, 'пизд')) or (stristr($msg2, 'бля'))) { 
$answers = array('Бан хочешь? Могу устроить!', 'А в глаз?', 'Администрация чата делает Вам предупреждение, за нарушение правил!', 'Не буди во мне зверя...'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber];  
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'люблю')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'обним')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'целую')) or (stristr($msg2, $namebot)) and (stristr($msg2, 'скучаю'))) {
$answers = array('Нежно обнимаю и притягиваю к себе', 'Крепко по-дружески обнимаю', 'Ты мне не интересен', 'Может вначале узнаем друг друга'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'кто')))  { 
$answers = array('Конь в пальто', 'Пушкин', 'Что так интерестно', 'Не твое дело', 'Не скажу'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'что')))  { 
$answers = array('Догадайся', 'Что-то что не нужно тебе знать', 'Через плечо', 'Не твое дело', 'Не скажу'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'торт'))) { 
$mssg = 'Сам жри эту гадость, я не люблю сладкое';
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'цветы'))) { 
$mssg = 'Ой, спасибо! Мне очень нравяться цветы';
}}

if($mssg==""){
if ((stristr($msg2, $namebot)) and (stristr($msg2, 'бот'))) { 
$answers = array('Cам ты бот придурок', 'Если я бот, то ты урод', 'Ща кто-то в баню отправится', 'Тебе не кажется лучше, что меня не злить', 'Я не бот, очень симпатичная девчонка'); 
$answernumber = array_rand($answers); 
$mssg = $answers[$answernumber]; 
}}


?>